
package de.ivu.elect.presentation.gruppe.menu;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.gruppe.GruppeCreateView;

public class GruppeCreateMenuItemEntry extends AbstractGruppeMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public GruppeCreateMenuItemEntry() {
    super();
  }

  @Override
  protected UseCasePermission getRequiredUseCasePermission() {
    return UseCasePermission.POLITISCHE_GRUPPE_CREATE;
  }

  @Override
  public String getTargetViewId() {
    return GruppeCreateView.VIEW_ID;
  }

  @Override
  public String getLabelKey() {
    return "politische.gruppe.create.menu.item.label";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconCreate();
  }
}
